{% extends "base/base.html" %}

{% load myfilter %}

{% block content %}

<h1 class="text-center">Google Form Answers</h1>

<p class="text-center">
    All answers submitted in the <a href="https://docs.google.com/forms/d/e/1FAIpQLSc8XYh54Pz2FZuN9T2bay7EyUWNiE2IQuUN-MCtmGCpgZDfbg/viewform" target="_blank" rel="noopener noreferrer">Google Form</a>.
</p>

{% if answers %}

<h2 class="text-center mt-2">All data (formated)</h2>

<!-- All data (formated) -->
<div class="justify-content-center"> 
{{forloop.counter}}
{% for answer in answers %}

    <div class="p-2 justify-content-center">
        <div class="list-group-item">
            <div class="d-flex justify-content-between">
                <div class="col-8 px-0">
                    <h4 class="title" title={{answer|getkey:'Sur quelle ligne de lumière êtes-vous ?'}}>
                        {{answer|getkey:'Donnez le nom du logiciel que vous utilisez : '}}  
                    </h4>
                    {{answer|getkey:'Horodateur'}}
                </div>

                {% if answer|getkey:'can be added' == True %}
                <a href="{% url 'add_new_software' answers|getindex:answer %}">
                    <button type="button" class="btn btn-success btn-lg">
                    Add this new software
                    </button>
                </a>
                {% endif %}

            </div>  
        </div>
    </div>

{% endfor %}
</div> 
<!-- All data (formated) -->

<h2 class="text-center mt-2">All data (raw)</h2>

<ul>
    {% for answer in answers %}
    <li>
        {{answer}}
    </li>
    {% endfor %}
</ul>

{% else %}
<p class="text-center">There are no data.</p>
{% endif %}

{% endblock %}